#include <Adafruit_NeoPixel.h>
#include <ESP8266WiFi.h>
#include <NTPClient.h>
#include <WiFiUdp.h>


/* OTA Time Access via WiFi */
const char* ssid      = "YOUR SSID HERE";
const char* password  = "YOUR PASSWORD HERE";

char timeString[8];
// Define NTP Client to get time
WiFiUDP ntpUDP;
NTPClient timeClient(ntpUDP);
/* End OTA Time Access via WiFi */

void setup() {
  Serial.begin(57600);

  // Initialize WiFi Connection
  //  Serial.print("Connecting to ");
  //  Serial.println(ssid);
  WiFi.begin(ssid, password);
  while (WiFi.status() != WL_CONNECTED) {
    delay(200);
//    Serial.print(".");
  }
  delay(200);
  // Print local IP address and start web server
  //  Serial.println("");
  //  Serial.println("WiFi connected.");
  //  Serial.println("IP address: ");
  //  Serial.println(WiFi.localIP());
  //  IPAddress ip = WiFi.localIP();


// Initialize a NTPClient to get time
  timeClient.begin();
  // Set offset time in seconds to adjust for your timezone, for example:
  // GMT +1 = 3600
  // GMT +8 = 28800
  // GMT -1 = -3600
  // GMT 0 = 0
  timeClient.setTimeOffset(-25200);  // GMT-7
  timeClient.setUpdateInterval(600*1000);  // in Milliseconds. We update every 10 min

}

void printTimeSerial() {
    sprintf(timeString, "%02d:%02d:%02d", timeClient.getHours(), timeClient.getMinutes(), timeClient.getSeconds());
    Serial.println(timeString);
}

boolean sendTime = true;
int lastSec;
void loop() {
  // Send time every 10 seconds when transitioning from seconds = 4 to seconds = 5
  timeClient.update();
  int sec = timeClient.getSeconds() % 10;
  if (sec == 5 and lastSec == 4) {
    printTimeSerial();
  }
  lastSec = sec;
}
